""" Test fixtures for bugzilla2fedmsg.relay.

Authors:    Adam Williamson <awilliam@redhat.com>

"""


from bugzilla2fedmsg_schema import MessageV1, MessageV1BZ4

BUG_CREATE_MESSAGE_NO_BZ4 = MessageV1(
    topic="bugzilla.bug.new",
    body={
        "agent_name": "dgunchev",
        "bug": {
            "whiteboard": "abrt_hash:ca3702e55e5d4a4f3057d7a62ad195583a2b9a409990f275a36c87373bd77445;",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555619221.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "SELinux is preventing touch from 'write' accesses on the file /var/log/shorewall-init.log.",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701391,
            "priority": "unspecified",
            "platform": "x86_64",
            "version": {"id": 5586, "name": "29"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "dgunchev@gmail.com",
                "id": 156190,
                "real_name": "Doncho Gunchev",
            },
            "component": {"id": 17100, "name": "selinux-policy"},
            "cf_category": "",
            "cf_doc_type": "",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555619221.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": {
                "login": "lvrabec@redhat.com",
                "id": 316673,
                "real_name": "Lukas Vrabec",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "bug",
            "change_set": "6792.1555619221.41171",
            "routing_key": "bug.create",
            "bug_id": 1701391,
            "user": {
                "login": "dgunchev@gmail.com",
                "id": 156190,
                "real_name": "Doncho Gunchev",
            },
            "time": 1555619221.0,
            "action": "create",
        },
        "headers": {
            "content-length": "1498",
            "expires": "1555705646848",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555619246848",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.create",
            "correlation-id": "06ed3815-4596-49a0-a5a5-1d5b6b7bf01a",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:8852",
            "esbSourceSystem": "bugzilla",
        },
    },
)

BUG_CREATE_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.new",
    body={
        "agent_name": "dgunchev",
        "bug": {
            "whiteboard": "abrt_hash:ca3702e55e5d4a4f3057d7a62ad195583a2b9a409990f275a36c87373bd77445;",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555619221.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "SELinux is preventing touch from 'write' accesses on the file /var/log/shorewall-init.log.",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701391,
            "priority": "unspecified",
            "platform": "x86_64",
            "version": {"id": 5586, "name": "29"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "dgunchev@gmail.com",
                "id": 156190,
                "real_name": "Doncho Gunchev",
            },
            "component": "selinux-policy",
            "cf_category": "",
            "cf_doc_type": "",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555619221.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": "lvrabec@redhat.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "dgunchev@gmail.com",
            "op_sys": "Unspecified",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1701391",
        },
        "event": {
            "target": "bug",
            "change_set": "6792.1555619221.41171",
            "routing_key": "bug.create",
            "bug_id": 1701391,
            "user": {
                "login": "dgunchev@gmail.com",
                "id": 156190,
                "real_name": "Doncho Gunchev",
            },
            "time": 1555619221.0,
            "action": "create",
            "who": "dgunchev@gmail.com",
            "changes": [],
        },
        "headers": {
            "content-length": "1498",
            "expires": "1555705646848",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555619246848",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.create",
            "correlation-id": "06ed3815-4596-49a0-a5a5-1d5b6b7bf01a",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:8852",
            "esbSourceSystem": "bugzilla",
        },
    },
)


BUG_MODIFY_MESSAGE_NO_BZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "agent_name": "churchyard",
        "usernames": ["churchyard", "upstream-release-monitoring", "adamw"],
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555048183.0,
            "target_milestone": None,
            "keywords": ["FutureFeature", "Triaged"],
            "summary": "python-pyramid-1.10.4 is available",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1699203,
            "priority": "unspecified",
            "platform": "Unspecified",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "upstream-release-monitoring@fedoraproject.org",
                "id": 282165,
                "real_name": "Upstream Release Monitoring",
            },
            "component": {"id": 102174, "name": "python-pyramid"},
            "cf_category": "",
            "cf_doc_type": "Enhancement",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555528260.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": {
                "login": "infra-sig@lists.fedoraproject.org",
                "id": 370504,
                "real_name": "Fedora Infrastructure SIG",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "bug",
            "change_set": "62607.1555607510.78558",
            "routing_key": "bug.modify",
            "bug_id": 1699203,
            "user": {"login": "mhroncok@redhat.com", "id": 310625, "real_name": "Miro Hrončok"},
            "time": 1555607511.0,
            "action": "modify",
            "changes": [{"field": "cc", "removed": "", "added": "awilliam@redhat.com"}],
        },
        "headers": {
            "content-length": "1556",
            "expires": "1555693935155",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555607535155",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "b18f93bb-8a69-4651-8f6b-48a6c323a620",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:7266",
            "esbSourceSystem": "bugzilla",
        },
    },
)
BUG_MODIFY_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "agent_name": "churchyard",
        "usernames": ["churchyard", "upstream-release-monitoring", "adamw"],
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555048183.0,
            "target_milestone": None,
            "keywords": ["FutureFeature", "Triaged"],
            "summary": "python-pyramid-1.10.4 is available",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1699203,
            "priority": "unspecified",
            "platform": "Unspecified",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "upstream-release-monitoring@fedoraproject.org",
                "id": 282165,
                "real_name": "Upstream Release Monitoring",
            },
            "component": "python-pyramid",
            "cf_category": "",
            "cf_doc_type": "Enhancement",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555528260.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": "infra-sig@lists.fedoraproject.org",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "upstream-release-monitoring@fedoraproject.org",
            "op_sys": "Unspecified",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1699203",
        },
        "event": {
            "target": "bug",
            "change_set": "62607.1555607510.78558",
            "routing_key": "bug.modify",
            "bug_id": 1699203,
            "user": {"login": "mhroncok@redhat.com", "id": 310625, "real_name": "Miro Hrončok"},
            "time": 1555607511.0,
            "action": "modify",
            "changes": [
                {"field": "cc", "removed": "", "added": "awilliam@redhat.com", "field_name": "cc"}
            ],
            "who": "mhroncok@redhat.com",
        },
        "headers": {
            "content-length": "1556",
            "expires": "1555693935155",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555607535155",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "b18f93bb-8a69-4651-8f6b-48a6c323a620",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:7266",
            "esbSourceSystem": "bugzilla",
        },
    },
)

BUG_MODIFY_FOUR_CHANGES_MESSAGE_NO_BZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1556114414.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "Review Request: perl-Class-AutoClass - Define classes and objects for Perl",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1702701,
            "priority": "medium",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 26, "name": "POST"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "ppisar@redhat.com", "id": 295770, "real_name": "Petr Pisar"},
            "component": {"id": 18186, "name": "Package Review"},
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "medium",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556114414.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [{"id": 4029953, "value": "+", "name": "fedora-review"}],
            "assigned_to": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "bug",
            "change_set": "113867.1556151814.59504",
            "routing_key": "bug.modify",
            "bug_id": 1702701,
            "user": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "time": 1556151815.0,
            "action": "modify",
            "changes": [
                {
                    "field": "assigned_to",
                    "removed": "nobody@fedoraproject.org",
                    "added": "zebob.m@gmail.com",
                },
                {"field": "bug_status", "removed": "NEW", "added": "POST"},
                {"field": "cc", "removed": "", "added": "zebob.m@gmail.com"},
                {"field": "flag.needinfo", "removed": "", "added": "? (rob@boberts.com)"},
            ],
        },
        "headers": {
            "content-length": "1756",
            "expires": "1556238243956",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556151843956",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "8b311d06-bd03-444f-aaec-ff2735b53424",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4467",
            "esbSourceSystem": "bugzilla",
        },
    },
)
BUG_MODIFY_FOUR_CHANGES_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1556114414.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "Review Request: perl-Class-AutoClass - Define classes and objects for Perl",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1702701,
            "priority": "medium",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 26, "name": "POST"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "ppisar@redhat.com", "id": 295770, "real_name": "Petr Pisar"},
            "component": "Package Review",
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "medium",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556114414.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [{"id": 4029953, "value": "+", "name": "fedora-review"}],
            "assigned_to": "zebob.m@gmail.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "ppisar@redhat.com",
            "op_sys": "Linux",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1702701",
        },
        "event": {
            "target": "bug",
            "change_set": "113867.1556151814.59504",
            "routing_key": "bug.modify",
            "bug_id": 1702701,
            "user": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "time": 1556151815.0,
            "action": "modify",
            "changes": [
                {
                    "field": "assigned_to",
                    "removed": "nobody@fedoraproject.org",
                    "added": "zebob.m@gmail.com",
                    "field_name": "assigned_to",
                },
                {
                    "field": "bug_status",
                    "removed": "NEW",
                    "added": "POST",
                    "field_name": "bug_status",
                },
                {"field": "cc", "removed": "", "added": "zebob.m@gmail.com", "field_name": "cc"},
                {
                    "field": "flag.needinfo",
                    "removed": "",
                    "added": "? (rob@boberts.com)",
                    "field_name": "flag.needinfo",
                },
            ],
            "who": "zebob.m@gmail.com",
        },
        "headers": {
            "content-length": "1756",
            "expires": "1556238243956",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556151843956",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "8b311d06-bd03-444f-aaec-ff2735b53424",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4467",
            "esbSourceSystem": "bugzilla",
        },
    },
)


BUG_MODIFY_TWO_CHANGES_MESSAGE_BZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1556114414.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "Review Request: perl-Class-AutoClass - Define classes and objects for Perl",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1702701,
            "priority": "medium",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 26, "name": "POST"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "ppisar@redhat.com", "id": 295770, "real_name": "Petr Pisar"},
            "component": {"id": 18186, "name": "Package Review"},
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "medium",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556114414.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [{"id": 4029953, "value": "+", "name": "fedora-review"}],
            "assigned_to": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "bug",
            "change_set": "113867.1556151814.59504",
            "routing_key": "bug.modify",
            "bug_id": 1702701,
            "user": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "time": 1556151815.0,
            "action": "modify",
            "changes": [
                {
                    "field": "assigned_to",
                    "removed": "nobody@fedoraproject.org",
                    "added": "zebob.m@gmail.com",
                },
                {"field": "bug_status", "removed": "NEW", "added": "POST"},
            ],
        },
        "headers": {
            "content-length": "1756",
            "expires": "1556238243956",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556151843956",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "8b311d06-bd03-444f-aaec-ff2735b53424",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4467",
            "esbSourceSystem": "bugzilla",
        },
    },
)
BUG_MODIFY_TWO_CHANGES_MESSAGE_NO_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1556114414.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "Review Request: perl-Class-AutoClass - Define classes and objects for Perl",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1702701,
            "priority": "medium",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 26, "name": "POST"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "ppisar@redhat.com", "id": 295770, "real_name": "Petr Pisar"},
            "component": "Package Review",
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "medium",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556114414.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [{"id": 4029953, "value": "+", "name": "fedora-review"}],
            "assigned_to": "zebob.m@gmail.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "ppisar@redhat.com",
            "op_sys": "Linux",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1702701",
        },
        "event": {
            "target": "bug",
            "change_set": "113867.1556151814.59504",
            "routing_key": "bug.modify",
            "bug_id": 1702701,
            "user": {
                "login": "zebob.m@gmail.com",
                "id": 401767,
                "real_name": "Robert-André Mauchin",
            },
            "time": 1556151815.0,
            "action": "modify",
            "changes": [
                {
                    "field": "assigned_to",
                    "removed": "nobody@fedoraproject.org",
                    "added": "zebob.m@gmail.com",
                    "field_name": "assigned_to",
                },
                {
                    "field": "bug_status",
                    "removed": "NEW",
                    "added": "POST",
                    "field_name": "bug_status",
                },
            ],
            "who": "zebob.m@gmail.com",
        },
        "headers": {
            "content-length": "1756",
            "expires": "1556238243956",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556151843956",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.bug.modify",
            "correlation-id": "8b311d06-bd03-444f-aaec-ff2735b53424",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.bug.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4467",
            "esbSourceSystem": "bugzilla",
        },
    },
)


COMMENT_CREATE_MESSAGE_NO_BZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1553190589.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "openQA transient test failure as duplicated first character just after a snapshot",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "Bug",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1691487,
            "priority": "unspecified",
            "platform": "ppc64le",
            "version": {"id": 5713, "name": "30"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "normand@linux.vnet.ibm.com",
                "id": 364546,
                "real_name": "Michel Normand",
            },
            "component": {"id": 145692, "name": "openqa"},
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555600902.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": {
                "login": "awilliam@redhat.com",
                "id": 273090,
                "real_name": "Adam Williamson",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "comment",
            "change_set": "86288.1555602938.43406",
            "routing_key": "comment.create",
            "bug_id": 1691487,
            "user": {"login": "smooge@redhat.com", "id": 12, "real_name": "Stephen John Smoogen"},
            "time": 1555602938.0,
            "action": "create",
        },
        "headers": {
            "content-length": "1938",
            "expires": "1555689348470",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555602948470",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.comment.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.comment.create",
            "correlation-id": "93ab27cf-fada-4e6a-aef5-db7af28b2b71",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.comment.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:6693",
            "esbSourceSystem": "bugzilla",
        },
        "comment": {
            "body": "qa09 and qa14 have 8 560 GB SAS drives which are RAID-6 together. \n\nThe systems we get from IBM come through a special contract which in the past required the system to be sent back to add hardware to it. When we added drives it also caused problems because the system didn't match the contract when we returned it. I am checking with IBM on the wearabouts for the systems.",
            "creation_time": 1555602938.0,
            "number": 8,
            "id": 1691487,
            "is_private": False,
        },
    },
)
COMMENT_CREATE_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1553190589.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "openQA transient test failure as duplicated first character just after a snapshot",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "Bug",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1691487,
            "priority": "unspecified",
            "platform": "ppc64le",
            "version": {"id": 5713, "name": "30"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {
                "login": "normand@linux.vnet.ibm.com",
                "id": 364546,
                "real_name": "Michel Normand",
            },
            "component": "openqa",
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "",
            "last_change_time": 1555600902.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": "awilliam@redhat.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "normand@linux.vnet.ibm.com",
            "op_sys": "Unspecified",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1691487",
        },
        "event": {
            "target": "comment",
            "change_set": "86288.1555602938.43406",
            "routing_key": "comment.create",
            "bug_id": 1691487,
            "user": {"login": "smooge@redhat.com", "id": 12, "real_name": "Stephen John Smoogen"},
            "time": 1555602938.0,
            "action": "create",
            "who": "smooge@redhat.com",
            "changes": [],
        },
        "headers": {
            "content-length": "1938",
            "expires": "1555689348470",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555602948470",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.comment.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.comment.create",
            "correlation-id": "93ab27cf-fada-4e6a-aef5-db7af28b2b71",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.comment.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:6693",
            "esbSourceSystem": "bugzilla",
        },
        "comment": {
            "body": "qa09 and qa14 have 8 560 GB SAS drives which are RAID-6 together. \n\nThe systems we get from IBM come through a special contract which in the past required the system to be sent back to add hardware to it. When we added drives it also caused problems because the system didn't match the contract when we returned it. I am checking with IBM on the wearabouts for the systems.",
            "creation_time": 1555602938.0,
            "number": 8,
            "id": 1691487,
            "is_private": False,
            "author": "smooge@redhat.com",
        },
    },
)


ATTACHMENT_CREATE_MESSAGE_NOBZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "abrt_hash:9045fad863095a5d3f3b387af2b95f43b3482a1d;VARIANT_ID=workstation;",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555610493.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "[abrt] gnome-software: gtk_widget_unparent(): gnome-software killed by SIGSEGV",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701353,
            "priority": "unspecified",
            "platform": "x86_64",
            "version": {"id": 5713, "name": "30"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "peter@sonniger-tag.eu", "id": 361290, "real_name": "Peter"},
            "component": {"id": 126541, "name": "gnome-software"},
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "https://retrace.fedoraproject.org/faf/reports/bthash/f4ca1e58d66fb046d6d1d1b18a84dd779ad34624",
            "last_change_time": 1555610510.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": {
                "login": "rhughes@redhat.com",
                "id": 213548,
                "real_name": "Richard Hughes",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "attachment",
            "change_set": "78355.1555610511.09385",
            "routing_key": "attachment.create",
            "bug_id": 1701353,
            "user": {"login": "peter@sonniger-tag.eu", "id": 361290, "real_name": "Peter"},
            "time": 1555610511.0,
            "action": "create",
        },
        "headers": {
            "content-length": "1883",
            "expires": "1555696922855",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555610522855",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.attachment.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.attachment.create",
            "correlation-id": "861b24d9-bada-472a-8017-a06bff301595",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.attachment.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:7668",
            "esbSourceSystem": "bugzilla",
        },
        "attachment": {
            "description": "File: var_log_messages",
            "file_name": "var_log_messages",
            "is_patch": False,
            "creation_time": 1555610511.0,
            "id": 1556193,
            "flags": [],
            "last_change_time": 1555610511.0,
            "content_type": "text/plain",
            "is_obsolete": False,
            "is_private": False,
        },
    },
)
ATTACHMENT_CREATE_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "abrt_hash:9045fad863095a5d3f3b387af2b95f43b3482a1d;VARIANT_ID=workstation;",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555610493.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "[abrt] gnome-software: gtk_widget_unparent(): gnome-software killed by SIGSEGV",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701353,
            "priority": "unspecified",
            "platform": "x86_64",
            "version": {"id": 5713, "name": "30"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "peter@sonniger-tag.eu", "id": 361290, "real_name": "Peter"},
            "component": "gnome-software",
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "unspecified",
            "operating_system": "Unspecified",
            "url": "https://retrace.fedoraproject.org/faf/reports/bthash/f4ca1e58d66fb046d6d1d1b18a84dd779ad34624",
            "last_change_time": 1555610510.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": "rhughes@redhat.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "peter@sonniger-tag.eu",
            "op_sys": "Unspecified",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1701353",
        },
        "event": {
            "target": "attachment",
            "change_set": "78355.1555610511.09385",
            "routing_key": "attachment.create",
            "bug_id": 1701353,
            "user": {"login": "peter@sonniger-tag.eu", "id": 361290, "real_name": "Peter"},
            "time": 1555610511.0,
            "action": "create",
            "who": "peter@sonniger-tag.eu",
            "changes": [],
        },
        "headers": {
            "content-length": "1883",
            "expires": "1555696922855",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1555610522855",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.attachment.create",
            "destination": "/topic/VirtualTopic.eng.bugzilla.attachment.create",
            "correlation-id": "861b24d9-bada-472a-8017-a06bff301595",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.attachment.create",
            "message-id": "ID:messaging-devops-broker02.web.prod.ext.phx2.redhat.com-42079-1555559691665-1:361:-1:1:7668",
            "esbSourceSystem": "bugzilla",
        },
        "attachment": {
            "description": "File: var_log_messages",
            "file_name": "var_log_messages",
            "is_patch": False,
            "creation_time": 1555610511.0,
            "id": 1556193,
            "flags": [],
            "last_change_time": 1555610511.0,
            "content_type": "text/plain",
            "is_obsolete": False,
            "is_private": False,
        },
    },
)


ATTACHMENT_MODIFY_MESSAGE_NO_BZ4 = MessageV1(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555868771.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "I2C_HID_QUIRK_NO_IRQ_AFTER_RESET caused teclast f7/ apollo_lake using i2c_hid.c driver to have stuck button down after period of time",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "Bug",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701766,
            "priority": "unspecified",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": {"id": 49, "name": "Fedora"},
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "joequant@gmail.com", "id": 356480, "real_name": "Joseph Wang"},
            "component": {"id": 11769, "name": "kernel"},
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "high",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556149387.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": {
                "login": "kernel-maint@redhat.com",
                "id": 176318,
                "real_name": "Kernel Maintainer List",
            },
            "resolution": "",
            "cf_mount_type": "",
        },
        "event": {
            "target": "attachment",
            "change_set": "105535.1556149887.38751",
            "routing_key": "attachment.modify",
            "bug_id": 1701766,
            "user": {"login": "joequant@gmail.com", "id": 356480, "real_name": "Joseph Wang"},
            "time": 1556149887.0,
            "action": "modify",
            "changes": [{"field": "isobsolete", "removed": "0", "added": "1"}],
        },
        "headers": {
            "content-length": "1861",
            "expires": "1556236290607",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556149890607",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.attachment.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.attachment.modify",
            "correlation-id": "0e227da5-88fe-492a-b426-f1f9b11fab86",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.attachment.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4401",
            "esbSourceSystem": "bugzilla",
        },
        "attachment": {
            "description": "patch to turn off reset quirk for SP1064 touch pad",
            "file_name": "kernel-diff.patch",
            "is_patch": True,
            "creation_time": 1556149017.0,
            "id": 1558429,
            "flags": [],
            "last_change_time": 1556149017.0,
            "content_type": "text/plain",
            "is_obsolete": True,
            "is_private": False,
        },
    },
)
ATTACHMENT_MODIFY_MESSAGE_BZ4 = MessageV1BZ4(
    topic="bugzilla.bug.update",
    body={
        "bug": {
            "whiteboard": "",
            "classification": "Fedora",
            "cf_story_points": "",
            "creation_time": 1555868771.0,
            "target_milestone": None,
            "keywords": [],
            "summary": "I2C_HID_QUIRK_NO_IRQ_AFTER_RESET caused teclast f7/ apollo_lake using i2c_hid.c driver to have stuck button down after period of time",
            "cf_ovirt_team": "",
            "cf_release_notes": "",
            "cf_cloudforms_team": "",
            "cf_type": "Bug",
            "cf_fixed_in": "",
            "cf_atomic": "",
            "id": 1701766,
            "priority": "unspecified",
            "platform": "All",
            "version": {"id": 495, "name": "rawhide"},
            "cf_regression_status": "",
            "cf_environment": "",
            "status": {"id": 1, "name": "NEW"},
            "product": "Fedora",
            "qa_contact": {
                "login": "extras-qa@fedoraproject.org",
                "id": 171387,
                "real_name": "Fedora Extras Quality Assurance",
            },
            "reporter": {"login": "joequant@gmail.com", "id": 356480, "real_name": "Joseph Wang"},
            "component": "kernel",
            "cf_category": "",
            "cf_doc_type": "If docs needed, set a value",
            "cf_documentation_action": "",
            "cf_clone_of": "",
            "is_private": False,
            "severity": "high",
            "operating_system": "Linux",
            "url": "",
            "last_change_time": 1556149387.0,
            "cf_crm": "",
            "cf_last_closed": None,
            "alias": [],
            "flags": [],
            "assigned_to": "kernel-maint@redhat.com",
            "resolution": "",
            "cf_mount_type": "",
            "cc": [],
            "creator": "joequant@gmail.com",
            "op_sys": "Linux",
            "weburl": "https://bugzilla.redhat.com/show_bug.cgi?id=1701766",
        },
        "event": {
            "target": "attachment",
            "change_set": "105535.1556149887.38751",
            "routing_key": "attachment.modify",
            "bug_id": 1701766,
            "user": {"login": "joequant@gmail.com", "id": 356480, "real_name": "Joseph Wang"},
            "time": 1556149887.0,
            "action": "modify",
            "changes": [
                {"field": "isobsolete", "removed": "0", "added": "1", "field_name": "isobsolete"}
            ],
            "who": "joequant@gmail.com",
        },
        "headers": {
            "content-length": "1861",
            "expires": "1556236290607",
            "esbMessageType": "bugzillaNotification",
            "timestamp": "1556149890607",
            "original-destination": "/topic/VirtualTopic.eng.bugzilla.attachment.modify",
            "destination": "/topic/VirtualTopic.eng.bugzilla.attachment.modify",
            "correlation-id": "0e227da5-88fe-492a-b426-f1f9b11fab86",
            "priority": "4",
            "subscription": "/queue/Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_destination": "queue://Consumer.client-datanommer.upshift-prod.VirtualTopic.eng.>",
            "amq6100_originalDestination": "topic://VirtualTopic.eng.bugzilla.attachment.modify",
            "message-id": "ID:messaging-devops-broker01.web.prod.ext.phx2.redhat.com-44024-1556115643434-1:509:-1:1:4401",
            "esbSourceSystem": "bugzilla",
        },
        "attachment": {
            "description": "patch to turn off reset quirk for SP1064 touch pad",
            "file_name": "kernel-diff.patch",
            "is_patch": True,
            "creation_time": 1556149017.0,
            "id": 1558429,
            "flags": [],
            "last_change_time": 1556149017.0,
            "content_type": "text/plain",
            "is_obsolete": True,
            "is_private": False,
        },
    },
)
